#!/bin/sh

VERSION=21.3
SWNAME=emacs-$VERSION

rm -rf $SWNAME
echo Extracting $SWNAME.tar.gz ...
tar zxf $SWNAME.tar.gz
echo Extracting leim-${VERSION}.tar.gz
tar zxf leim-${VERSION}.tar.gz

cd $SWNAME
#patch -p1 < ../emacs-21.1-fontset-20011124.patch
patch -p1 < ../emacs-21.3-fontset-20030320.patch
patch -p1 < ../emacs-21.1-xim-useXim.patch
patch -p1 < ../emacs-21.3-resolution.patch
patch -p1 < ../emacs-21.2-xlwmenu-arrow.patch
cd lisp/international
patch -p6 < ../../../emacs-21.2-isearch-x.el.patch
cd ../..
cd ..

rm -rf emacs-work
mkdir emacs-work
cd emacs-work
#exit
../$SWNAME/configure --prefix=/usr --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib
make

PKGDIR=`pwd`/../pkg

rm -rf ../pkg
mkdir -p ../pkg/usr
make install-strip prefix=`pwd`/../pkg/usr
cd ..

./emacs-work/src/emacs -batch --no-init-file --no-site-file --multibyte  -f batch-byte-compile pkg/usr/share/emacs/${VERSION}/lisp/international/isearch-x.el 

cd $SWNAME
mkdir -p ../pkg/usr/doc/$SWNAME
cp -p AUTHORS BUGS ChangeLog FTP README ../pkg/usr/doc/$SWNAME/.
cp -p ../*.patch ../PlamoBuild.sh ../pkg/usr/doc/$SWNAME/.
gzip ../pkg/usr/doc/$SWNAME/*
tar zxf ../teraterm-setting.tar.gz -C ../pkg/usr/doc/$SWNAME/
cd ..

mkdir -p pkg/usr/X11R6/lib/X11/app-defaults
cp -p Emacs pkg/usr/X11R6/lib/X11/app-defaults/.
mkdir -p pkg/usr/share/emacs/${VERSION}/site-lisp
cp -p menu-tree.el pkg/usr/share/emacs/${VERSION}/site-lisp/.
cp -p wb-line-number.el pkg/usr/share/emacs/site-lisp/.

./emacs-work/src/emacs -batch --no-init-file --no-site-file --multibyte  -f batch-byte-compile pkg/usr/share/emacs/${VERSION}/site-lisp/menu-tree.el
./emacs-work/src/emacs -batch --no-init-file --no-site-file --multibyte  -f batch-byte-compile pkg/usr/share/emacs/site-lisp/wb-line-number.el

gzip pkg/usr/info/*
gunzip pkg/usr/info/dir.gz
gzip pkg/usr/man/man?/*

cd pkg/usr/bin
ln -s emacs mule
cd ../../..

chown -R root:root pkg/usr/doc
chown -R root:root pkg/usr/share/emacs/${VERSION}
chown root:root pkg/usr/X11R6/lib/X11/app-defaults/Emacs

cd pkg
/sbin/makepkg $SWNAME.tgz <<EOF
y
y
EOF


